@import "assets/scss/global";

.class-list-container {
    position: relative;
    height: 100%;
    width: 100%;

    .class-info-card-container {
        width: 100%;
        display: flex;
        justify-content: space-between;

        .left-section {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            gap: 12px;
            width: calc(100% - 150px);
            padding-bottom: 10px;

            .a-input-with-label {
                width: 350px;

                [class*='input-group'] {
                    background: #FFFFFF;
                }

                [class*='input-content'] {
                    height: 45px;
                }
            }

            .select-multi-grade {
                width: 160px;
                color: #202226;

                [class*='a-select-picker'] {
                    height: 45px;
                }

                [class*='rs-btn'] {
                    min-height: unset !important;
                }
            }

            .select-field {
                width: 160px;

                [class*='select-group'] {
                    height: 45px;
                    background: #FFFFFF;
                }

                [class*='select-menu'] {
                    z-index: 2;
                    top: 45px;
                }
            }

            .menu-custom {
                padding: 10px;
            }

            .a-button-reset {
                width: 100px;
                height: 45px;
                box-shadow: none;
                padding: 12px;
                cursor: pointer;
                border: 1px solid $secondary-color;
                background: #FFF;

                color: $secondary-color;
                font-size: 13px;
                line-height: 17px;
                gap: 10px;

                svg {
                    path {
                        fill: $secondary-color;
                    }
                }

                &.disable {
                    border: 1px solid $border-color;
                    background: $secondary-color3;
                    color: $border-color;
                    cursor: not-allowed;

                    svg {
                        path {
                            fill: $border-color;
                        }
                    }
                }
            }
        }

        .right-section {
            width: 150px;
            display: flex;
            justify-content: flex-end;

            .add-class-btn {
                height: 40px;
                font-size: 13px;
            }
        }
    }

    .class-wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);

        @media screen and (min-width: 1280px) {
            grid-template-columns: repeat(4, 1fr);
        }

        @media screen and (min-width: 1400px) {
            grid-template-columns: repeat(5, 1fr);
        }

        @media screen and (min-width: 1920px) {
            grid-template-columns: repeat(6, 1fr);
        }

        row-gap: 20px;
        column-gap: 20px;
        padding-bottom: 10rem;

        .class-info-item {
            position: relative;
            box-sizing: border-box;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            padding: 20px;
            gap: 10px;

            background: #FFFFFF;
            border: 1px solid #F4F7FC;
            border-radius: 8px;
            cursor: pointer;
            width: 100%;

            .boxSkeleton {
                width: 100%;
                background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
                background-size: 400% 100%;
                animation-name: loading-animation;
                animation-duration: 1.4s;
                animation-timing-function: ease;
                animation-iteration-count: infinite;
                border-radius: 8px;

                @keyframes loading-animation {
                    0% {
                        background-position: 100% 50%;
                    }

                    100% {
                        background-position: 0 50%;
                    }
                }
            }

            .boxImageSkeleton {
                padding-top: 100%;
            }

            .boxInfoSkeleton {
                padding-top: 48px;
            }

            .header {
                display: flex;
                align-items: center;
                justify-content: space-between;
                width: 100%;
                min-height: 20px;

                .class-name {
                    max-width: 100%;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: $dark-color;

                    overflow: hidden;
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;
                    word-break: break-word;
                }

                .action-btn {
                    width: 23px;
                    height: 23px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    border-radius: 8px;
                    background: #FFFFFF;
                    box-shadow: 0px 4px 4px rgba(76, 95, 168, 0.1);
                    transition: background 0.25s;

                    &:hover {
                        background: #DFDAFF;

                        img {
                            filter: unset;
                            opacity: 1;
                        }
                    }

                    img {
                        width: 2rem;
                        height: 2rem;
                        object-fit: contain;
                        object-position: center;
                        filter: grayscale(1.3);
                        opacity: 0.6;
                        transition: all 0.25s;
                    }
                }
            }

            .school-year {
                font-size: 12px;
                line-height: 20px;
                min-height: 20px;
                color: #8E91A0;
            }

            .info-content {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                padding: 12px;
                gap: 8px;
                width: 100%;
                // height: 94px;
                background: #FFF8F4;
                border-radius: 8px;

                .line-info {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: space-between;
                    width: 100%;

                    .total-students {
                        display: flex;
                        flex-direction: row;
                        justify-content: center;
                        align-items: center;
                        width: 48%;
                        gap: 6px;
                        height: 24px;
                        background: #D7F9F5;
                        border-radius: 8px;

                        .text {
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 20px;
                            color: #52888B;
                        }
                    }

                    .grade {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        width: 48%;
                        height: 24px;
                        background: #F9E5D7;
                        border-radius: 8px;

                        font-weight: 500;
                        font-size: 13px;
                        line-height: 20px;
                        color: #8B5252;
                    }
                }
            }

            .toggle-active {
                display: flex;
                justify-content: flex-end;
                width: 100%;
            }
        }

    }
}

.table-action-popover {
    width: 13rem;

    .action-item {
        height: 3.2rem;
        padding: 0 0.5rem;

        display: flex;
        align-items: center;
        border-radius: 0.5rem;

        color: $dark-color;
        font-size: 1.2rem;
        font-weight: 600;

        transition: all 0.25s;
        cursor: pointer;

        &:hover {
            background: #FFF8F4;

            svg {
                path {
                    fill: #EF4E2B !important;
                }
            }
        }

        svg {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;
            min-width: 1.6rem;

            path {
                transition: fill 0.25s;
            }
        }

        img {
            width: 1.4rem;
            height: 1.4rem;
            margin: 0 1rem;
        }
    }
}